cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PRC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PRC

- All Implemented Interfaces:
    ISegment

      public class PRC
      extends Segment

  PRC - Pricing Segment.

  The PRC segment contains the pricing information for the preceding CDM segment's chargeable item.

  Represents an HL7 PRC message segment. This segment has the following fields:

  PRC-1: Primary Key Value - PRC (CWE)Required
  PRC-2: Facility ID - PRC (CWE)Optional
  PRC-3: Department (CWE)Optional
  PRC-4: Valid Patient Classes (CWE)Optional
  PRC-5: Price (CP)Conditional
  PRC-6: Formula (ST)Optional
  PRC-7: Minimum Quantity (NM)Optional
  PRC-8: Maximum Quantity (NM)Optional
  PRC-9: Minimum Price (MO)Optional
  PRC-10: Maximum Price (MO)Optional
  PRC-11: Effective Start Date (DTM)Optional
  PRC-12: Effective End Date (DTM)Optional
  PRC-13: Price Override Flag (CWE)Optional
  PRC-14: Billing Category (CWE)Optional
  PRC-15: Chargeable Flag (ID)Optional
  PRC-16: Active/Inactive Flag (ID)Optional
  PRC-17: Cost (MO)Optional
  PRC-18: Charge On Indicator (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PRC()` Constructs the PRC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBillingCategory(CWE objbillingCategory)` Add the Billing Category.
    `void` | `addBillingCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Billing Category.
    `void` | `addDepartment(CWE objdepartment)` Add the Department.
    `void` | `addDepartment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Department.
    `void` | `addFacilityID_PRC(CWE objfacilityID_PRC)` Add the Facility ID PRC.
    `void` | `addFacilityID_PRC(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Facility ID PRC.
    `void` | `addFormula(ST objformula)` Add the Formula.
    `void` | `addFormula(java.lang.String strFormula)` Add the Formula.
    `void` | `addPrice(CP objprice)` Add the Price.
    `void` | `addPrice(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Add the Price.
    `void` | `addValidPatientClasses(CWE objvalidPatientClasses)` Add the Valid Patient Classes.
    `void` | `addValidPatientClasses(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Valid Patient Classes.
    `ID` | `getActive_InactiveFlag()` Retrieves the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
    `ISingleCollection<CWE>` | `getBillingCategory()` Retrieves the Billing Category.
    `ID` | `getChargeableFlag()` Retrieves the Chargeable Flag.
    `CWE` | `getChargeOnIndicator()` Retrieves the Charge On Indicator.
    `MO` | `getCost()` Retrieves the Cost.
    `ISingleCollection<CWE>` | `getDepartment()` Retrieves the Department.
    `DTM` | `getEffectiveEndDate()` Retrieves the Effective End Date.
    `DTM` | `getEffectiveStartDate()` Retrieves the Effective Start Date.
    `ISingleCollection<CWE>` | `getFacilityID_PRC()` Retrieves the Facility ID PRC.
    `ISingleCollection<ST>` | `getFormula()` Retrieves the Formula.
    `MO` | `getMaximumPrice()` Retrieves the Maximum Price.
    `NM` | `getMaximumQuantity()` Retrieves the Maximum Quantity.
    `MO` | `getMinimumPrice()` Retrieves the Minimum Price.
    `NM` | `getMinimumQuantity()` Retrieves the Minimum Quantity.
    `ISingleCollection<CP>` | `getPrice()` Retrieves the Price.
    `CWE` | `getPriceOverrideFlag()` Retrieves the Price Override Flag.
    `CWE` | `getPrimaryKeyValue_PRC()` Retrieves the Primary Key Value PRC.
    `ISingleCollection<CWE>` | `getValidPatientClasses()` Retrieves the Valid Patient Classes.
    `void` | `setActive_InactiveFlag(ID objactive_InactiveFlag)` Set the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
    `void` | `setActive_InactiveFlag(java.lang.String strActive_InactiveFlag)` Set the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
    `void` | `setBillingCategory(ISingleCollection<CWE> objbillingCategoryList)` Set the Billing Category.
    `void` | `setChargeableFlag(ID objchargeableFlag)` Set the Chargeable Flag.
    `void` | `setChargeableFlag(java.lang.String strChargeableFlag)` Set the Chargeable Flag.
    `void` | `setChargeOnIndicator(CWE objchargeOnIndicator)` Set the Charge On Indicator.
    `void` | `setChargeOnIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Charge On Indicator.
    `void` | `setCost(MO objcost)` Set the Cost.
    `void` | `setCost(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Cost.
    `void` | `setDepartment(ISingleCollection<CWE> objdepartmentList)` Set the Department.
    `void` | `setEffectiveEndDate(DTM objeffectiveEndDate)` Set the Effective End Date.
    `void` | `setEffectiveEndDate(java.lang.String strDate)` Set the Effective End Date.
    `void` | `setEffectiveStartDate(DTM objeffectiveStartDate)` Set the Effective Start Date.
    `void` | `setEffectiveStartDate(java.lang.String strDate)` Set the Effective Start Date.
    `void` | `setFacilityID_PRC(ISingleCollection<CWE> objfacilityID_PRCList)` Set the Facility ID PRC.
    `void` | `setFormula(ISingleCollection<ST> objformulaList)` Set the Formula.
    `void` | `setMaximumPrice(MO objmaximumPrice)` Set the Maximum Price.
    `void` | `setMaximumPrice(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Maximum Price.
    `void` | `setMaximumQuantity(NM objmaximumQuantity)` Set the Maximum Quantity.
    `void` | `setMaximumQuantity(java.lang.String strMaximumQuantity)` Set the Maximum Quantity.
    `void` | `setMinimumPrice(MO objminimumPrice)` Set the Minimum Price.
    `void` | `setMinimumPrice(java.lang.String strQuantity, java.lang.String strDenomination)` Set the Minimum Price.
    `void` | `setMinimumQuantity(NM objminimumQuantity)` Set the Minimum Quantity.
    `void` | `setMinimumQuantity(java.lang.String strMinimumQuantity)` Set the Minimum Quantity.
    `void` | `setPrice(ISingleCollection<CP> objpriceList)` Set the Price.
    `void` | `setPriceOverrideFlag(CWE objpriceOverrideFlag)` Set the Price Override Flag.
    `void` | `setPriceOverrideFlag(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Price Override Flag.
    `void` | `setPrimaryKeyValue_PRC(CWE objprimaryKeyValue_PRC)` Set the Primary Key Value PRC.
    `void` | `setPrimaryKeyValue_PRC(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Key Value PRC.
    `void` | `setValidPatientClasses(ISingleCollection<CWE> objvalidPatientClassesList)` Set the Valid Patient Classes.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PRC

          public PRC()

      Constructs the PRC segment.

  - ### Method Detail

    - #### getActive_InactiveFlag

          public ID getActive_InactiveFlag()

      Retrieves the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
      Returns:
        ID - active_InactiveFlag

    - #### getBillingCategory

          public ISingleCollection<CWE> getBillingCategory()

      Retrieves the Billing Category. This field contains the billing category codes for any classification systems needed, for example, general ledger codes and UB92 categories.
      Returns:
        ISingleCollection - billingCategory

    - #### getChargeableFlag

          public ID getChargeableFlag()

      Retrieves the Chargeable Flag. This field contains a chargeable indicator.
      Returns:
        ID - chargeableFlag

    - #### getChargeOnIndicator

          public CWE getChargeOnIndicator()

      Retrieves the Charge On Indicator. This field contains the user-defined table of values which indicates when a charge for services or procedures should be accrued.
      Returns:
        CWE - chargeOnIndicator

    - #### getCost

          public MO getCost()

      Retrieves the Cost. This field contains the institution's calculation of how much it costs to provide this item.
      Returns:
        MO - cost

    - #### getDepartment

          public ISingleCollection<CWE> getDepartment()

      Retrieves the Department. This field contains the department of the facility which accrues revenue/cost for this type of charge.
      Returns:
        ISingleCollection - department

    - #### getEffectiveEndDate

          public DTM getEffectiveEndDate()

      Retrieves the Effective End Date. This field contains the date/time when this CDM entry is no longer effective.
      Returns:
        DTM - effectiveEndDate

    - #### getEffectiveStartDate

          public DTM getEffectiveStartDate()

      Retrieves the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Returns:
        DTM - effectiveStartDate

    - #### getFacilityID_PRC

          public ISingleCollection<CWE> getFacilityID_PRC()

      Retrieves the Facility ID PRC. This field contains the facility of the institution for which this price(for the preceding CDM entry) is valid.
      Returns:
        ISingleCollection - facilityID_PRC

    - #### getFormula

          public ISingleCollection<ST> getFormula()

      Retrieves the Formula. This field contains the mathematical formula to apply to PRC-5 - Price in order to compute total price.
      Returns:
        ISingleCollection - formula

    - #### getMaximumPrice

          public MO getMaximumPrice()

      Retrieves the Maximum Price. This field contains the maximum total price (after computation of components of price) that can be charged for this item.
      Returns:
        MO - maximumPrice

    - #### getMaximumQuantity

          public NM getMaximumQuantity()

      Retrieves the Maximum Quantity. This field contains the maximum number of identical charges allowed on one patient account for this CDM entry.
      Returns:
        NM - maximumQuantity

    - #### getMinimumPrice

          public MO getMinimumPrice()

      Retrieves the Minimum Price. This field contains the minimum total price (after computation of components of price) that can be charged for this item.
      Returns:
        MO - minimumPrice

    - #### getMinimumQuantity

          public NM getMinimumQuantity()

      Retrieves the Minimum Quantity. This field contains the minimum number of identical charges allowed on one patient account for this CDM entry.
      Returns:
        NM - minimumQuantity

    - #### getPrice

          public ISingleCollection<CP> getPrice()

      Retrieves the Price. This field contains the price to be charged for service, item, or procedure.
      Returns:
        ISingleCollection - price

    - #### getPriceOverrideFlag

          public CWE getPriceOverrideFlag()

      Retrieves the Price Override Flag. This field indicates whether this CDM entry's price can be overridden or not.
      Returns:
        CWE - priceOverrideFlag

    - #### getPrimaryKeyValue_PRC

          public CWE getPrimaryKeyValue_PRC()

      Retrieves the Primary Key Value PRC. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Returns:
        CWE - primaryKeyValue_PRC

    - #### getValidPatientClasses

          public ISingleCollection<CWE> getValidPatientClasses()

      Retrieves the Valid Patient Classes. This field contains the patient types for which this charge description is valid.
      Returns:
        ISingleCollection - validPatientClasses

    - #### setPrimaryKeyValue_PRC

          public void setPrimaryKeyValue_PRC(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Key Value PRC. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryKeyValue_PRC

          public void setPrimaryKeyValue_PRC(CWE objprimaryKeyValue_PRC)

      Set the Primary Key Value PRC. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Parameters:
        `objprimaryKeyValue_PRC` - Object of Primary Key Value PRC.

    - #### addFacilityID_PRC

          public void addFacilityID_PRC(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Facility ID PRC. This field contains the facility of the institution for which this price(for the preceding CDM entry) is valid.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addFacilityID_PRC

          public void addFacilityID_PRC(CWE objfacilityID_PRC)

      Add the Facility ID PRC. This field contains the facility of the institution for which this price(for the preceding CDM entry) is valid.
      Parameters:
        `objfacilityID_PRC` - Object of Facility ID PRC.

    - #### setFacilityID_PRC

          public void setFacilityID_PRC(ISingleCollection<CWE> objfacilityID_PRCList)

      Set the Facility ID PRC. This field contains the facility of the institution for which this price(for the preceding CDM entry) is valid.
      Parameters:
        `objfacilityID_PRCList` - List of Facility ID PRC.

    - #### addDepartment

          public void addDepartment(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Department. This field contains the department of the facility which accrues revenue/cost for this type of charge.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addDepartment

          public void addDepartment(CWE objdepartment)

      Add the Department. This field contains the department of the facility which accrues revenue/cost for this type of charge.
      Parameters:
        `objdepartment` - Object of Department.

    - #### setDepartment

          public void setDepartment(ISingleCollection<CWE> objdepartmentList)

      Set the Department. This field contains the department of the facility which accrues revenue/cost for this type of charge.
      Parameters:
        `objdepartmentList` - List of Department.

    - #### addValidPatientClasses

          public void addValidPatientClasses(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Valid Patient Classes. This field contains the patient types for which this charge description is valid.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addValidPatientClasses

          public void addValidPatientClasses(CWE objvalidPatientClasses)

      Add the Valid Patient Classes. This field contains the patient types for which this charge description is valid.
      Parameters:
        `objvalidPatientClasses` - Object of Valid Patient Classes.

    - #### setValidPatientClasses

          public void setValidPatientClasses(ISingleCollection<CWE> objvalidPatientClassesList)

      Set the Valid Patient Classes. This field contains the patient types for which this charge description is valid.
      Parameters:
        `objvalidPatientClassesList` - List of Valid Patient Classes.

    - #### addPrice

          public void addPrice(MO objPrice,
                      java.lang.String strPriceType,
                      java.lang.String strFromValue,
                      java.lang.String strToValue,
                      CWE objRangeUnits,
                      java.lang.String strRangeType)

      Add the Price. This field contains the price to be charged for service, item, or procedure.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" alongwith strToValue.
        `strToValue` - Specifies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### addPrice

          public void addPrice(CP objprice)

      Add the Price. This field contains the price to be charged for service, item, or procedure.
      Parameters:
        `objprice` - Object of Price.

    - #### setPrice

          public void setPrice(ISingleCollection<CP> objpriceList)

      Set the Price. This field contains the price to be charged for service, item, or procedure.
      Parameters:
        `objpriceList` - List of Price.

    - #### addFormula

          public void addFormula(java.lang.String strFormula)

      Add the Formula. This field contains the mathematical formula to apply to PRC-5 - Price in order to compute total price.
      Parameters:
        `strFormula` - String value of formula.

    - #### addFormula

          public void addFormula(ST objformula)

      Add the Formula. This field contains the mathematical formula to apply to PRC-5 - Price in order to compute total price.
      Parameters:
        `objformula` - Object of Formula.

    - #### setFormula

          public void setFormula(ISingleCollection<ST> objformulaList)

      Set the Formula. This field contains the mathematical formula to apply to PRC-5 - Price in order to compute total price.
      Parameters:
        `objformulaList` - List of Formula.

    - #### setMinimumQuantity

          public void setMinimumQuantity(java.lang.String strMinimumQuantity)

      Set the Minimum Quantity. This field contains the minimum number of identical charges allowed on one patient account for this CDM entry.
      Parameters:
        `strMinimumQuantity` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setMinimumQuantity

          public void setMinimumQuantity(NM objminimumQuantity)

      Set the Minimum Quantity. This field contains the minimum number of identical charges allowed on one patient account for this CDM entry.
      Parameters:
        `objminimumQuantity` - Object of Minimum Quantity.

    - #### setMaximumQuantity

          public void setMaximumQuantity(java.lang.String strMaximumQuantity)

      Set the Maximum Quantity. This field contains the maximum number of identical charges allowed on one patient account for this CDM entry.
      Parameters:
        `strMaximumQuantity` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setMaximumQuantity

          public void setMaximumQuantity(NM objmaximumQuantity)

      Set the Maximum Quantity. This field contains the maximum number of identical charges allowed on one patient account for this CDM entry.
      Parameters:
        `objmaximumQuantity` - Object of Maximum Quantity.

    - #### setMinimumPrice

          public void setMinimumPrice(java.lang.String strQuantity,
                             java.lang.String strDenomination)

      Set the Minimum Price. This field contains the minimum total price (after computation of components of price) that can be charged for this item.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setMinimumPrice

          public void setMinimumPrice(MO objminimumPrice)

      Set the Minimum Price. This field contains the minimum total price (after computation of components of price) that can be charged for this item.
      Parameters:
        `objminimumPrice` - Object of Minimum Price.

    - #### setMaximumPrice

          public void setMaximumPrice(java.lang.String strQuantity,
                             java.lang.String strDenomination)

      Set the Maximum Price. This field contains the maximum total price (after computation of components of price) that can be charged for this item.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setMaximumPrice

          public void setMaximumPrice(MO objmaximumPrice)

      Set the Maximum Price. This field contains the maximum total price (after computation of components of price) that can be charged for this item.
      Parameters:
        `objmaximumPrice` - Object of Maximum Price.

    - #### setEffectiveStartDate

          public void setEffectiveStartDate(java.lang.String strDate)

      Set the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveStartDate

          public void setEffectiveStartDate(DTM objeffectiveStartDate)

      Set the Effective Start Date. This field contains the date/time when this CDM entry becomes effective.
      Parameters:
        `objeffectiveStartDate` - Object of Effective Start Date.

    - #### setEffectiveEndDate

          public void setEffectiveEndDate(java.lang.String strDate)

      Set the Effective End Date. This field contains the date/time when this CDM entry is no longer effective.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveEndDate

          public void setEffectiveEndDate(DTM objeffectiveEndDate)

      Set the Effective End Date. This field contains the date/time when this CDM entry is no longer effective.
      Parameters:
        `objeffectiveEndDate` - Object of Effective End Date.

    - #### setPriceOverrideFlag

          public void setPriceOverrideFlag(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Price Override Flag. This field indicates whether this CDM entry's price can be overridden or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPriceOverrideFlag

          public void setPriceOverrideFlag(CWE objpriceOverrideFlag)

      Set the Price Override Flag. This field indicates whether this CDM entry's price can be overridden or not.
      Parameters:
        `objpriceOverrideFlag` - Object of Price Override Flag.

    - #### addBillingCategory

          public void addBillingCategory(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Billing Category. This field contains the billing category codes for any classification systems needed, for example, general ledger codes and UB92 categories.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addBillingCategory

          public void addBillingCategory(CWE objbillingCategory)

      Add the Billing Category. This field contains the billing category codes for any classification systems needed, for example, general ledger codes and UB92 categories.
      Parameters:
        `objbillingCategory` - Object of Billing Category.

    - #### setBillingCategory

          public void setBillingCategory(ISingleCollection<CWE> objbillingCategoryList)

      Set the Billing Category. This field contains the billing category codes for any classification systems needed, for example, general ledger codes and UB92 categories.
      Parameters:
        `objbillingCategoryList` - List of Billing Category.

    - #### setChargeableFlag

          public void setChargeableFlag(java.lang.String strChargeableFlag)

      Set the Chargeable Flag. This field contains a chargeable indicator.
      Parameters:
        `strChargeableFlag` - String shows the action to be taken .

    - #### setChargeableFlag

          public void setChargeableFlag(ID objchargeableFlag)

      Set the Chargeable Flag. This field contains a chargeable indicator.
      Parameters:
        `objchargeableFlag` - Object of Chargeable Flag.

    - #### setActive_InactiveFlag

          public void setActive_InactiveFlag(java.lang.String strActive_InactiveFlag)

      Set the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
      Parameters:
        `strActive_InactiveFlag` - String shows the action to be taken .

    - #### setActive_InactiveFlag

          public void setActive_InactiveFlag(ID objactive_InactiveFlag)

      Set the Active Inactive Flag This field indicates whether this is a usable CDM entry or not.
      Parameters:
        `objactive_InactiveFlag` - Object of Active Inactive Flag

    - #### setCost

          public void setCost(java.lang.String strQuantity,
                     java.lang.String strDenomination)

      Set the Cost. This field contains the institution's calculation of how much it costs to provide this item.
      Parameters:
        `strQuantity` - Specifies the Quantity.
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setCost

          public void setCost(MO objcost)

      Set the Cost. This field contains the institution's calculation of how much it costs to provide this item.
      Parameters:
        `objcost` - Object of Cost.

    - #### setChargeOnIndicator

          public void setChargeOnIndicator(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Charge On Indicator. This field contains the user-defined table of values which indicates when a charge for services or procedures should be accrued.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setChargeOnIndicator

          public void setChargeOnIndicator(CWE objchargeOnIndicator)

      Set the Charge On Indicator. This field contains the user-defined table of values which indicates when a charge for services or procedures should be accrued.
      Parameters:
        `objchargeOnIndicator` - Object of Charge On Indicator.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.